> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List application activities

> Returns a list of application activities. Returns application activity (changelog) events newest-first using cursor pagination.



## OpenAPI

````yaml /openapi-private.json get /applications/{id}/activities
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /applications/{id}/activities:
    get:
      tags:
        - Applications
      summary: List application activities
      description: >-
        Returns a list of application activities. Returns application activity
        (changelog) events newest-first using cursor pagination.
      operationId: getApplicationActivities
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: >-
            Base64-encoded cursor for pagination. Use the cursor value from a
            previous response to fetch the next page. Omit for the first page.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 50
            default: 25
            type: integer
      responses:
        '200':
          description: >-
            Successfully retrieved application activities. Returns items array
            with pagination info containing cursor for the next page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApplicationActivitiesResponseDto'
        '400':
          description: >-
            Bad request - invalid query parameters (e.g., limit out of range,
            invalid cursor)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Application not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetApplicationActivitiesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationActivityDto'
        pagination:
          $ref: '#/components/schemas/ApplicationActivityCursorPaginationDto'
      required:
        - items
        - pagination
      id: PrivateGetApplicationActivitiesResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    ApplicationActivityDto:
      anyOf:
        - $ref: '#/components/schemas/ApplicationCreatedActivityDto'
        - $ref: '#/components/schemas/ApplicationInboundChangedActivityDto'
        - $ref: '#/components/schemas/MovedToStageApplicationActivityDto'
        - $ref: '#/components/schemas/RejectedApplicationActivityDto'
        - $ref: '#/components/schemas/UnRejectedApplicationActivityDto'
        - $ref: '#/components/schemas/FirstPlacementApplicationActivityDto'
        - $ref: '#/components/schemas/ExtendedPlacementApplicationActivityDto'
        - $ref: '#/components/schemas/UnknownApplicationActivityDto'
      id: PrivateApplicationActivityDto
    ApplicationActivityCursorPaginationDto:
      type: object
      properties:
        cursor:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - cursor
      id: PrivateApplicationActivityCursorPaginationDto
    ApplicationCreatedActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - applicationCreated
        isInbound:
          type: boolean
      required:
        - date
        - triggeredByUser
        - type
        - isInbound
      id: PrivateApplicationCreatedActivityDto
    ApplicationInboundChangedActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - applicationInboundChanged
        isInbound:
          type: boolean
      required:
        - date
        - triggeredByUser
        - type
        - isInbound
      id: PrivateApplicationInboundChangedActivityDto
    MovedToStageApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - movedToStage
        previousStageId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        previousStageName:
          anyOf:
            - type: string
            - type: 'null'
        newStageId:
          type: string
          minLength: 1
        newStageName:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - date
        - triggeredByUser
        - type
        - previousStageId
        - previousStageName
        - newStageId
        - newStageName
      id: PrivateMovedToStageApplicationActivityDto
    RejectedApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - rejected
      required:
        - date
        - triggeredByUser
        - type
      id: PrivateRejectedApplicationActivityDto
    UnRejectedApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - unrejected
      required:
        - date
        - triggeredByUser
        - type
      id: PrivateUnRejectedApplicationActivityDto
    FirstPlacementApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - firstPlacement
        placementId:
          type: string
          minLength: 1
      required:
        - date
        - triggeredByUser
        - type
        - placementId
      id: PrivateFirstPlacementApplicationActivityDto
    ExtendedPlacementApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
          enum:
            - extendedPlacement
        placementId:
          type: string
          minLength: 1
      required:
        - date
        - triggeredByUser
        - type
        - placementId
      id: PrivateExtendedPlacementApplicationActivityDto
    UnknownApplicationActivityDto:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateISO'
        triggeredByUser:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        type:
          type: string
      required:
        - date
        - triggeredByUser
        - type
      id: PrivateUnknownApplicationActivityDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    UserBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - name
        - avatarUrl
        - deactivatedAt
      id: PrivateUserBadgeDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````